const universal = [
  { field: 'TotalSales', title: '总销售额', align: 'right', width: 130, sortable: true, slots: { default: 'TotalSales_default' } },
  { field: 'TotalOrderItems', title: '总订单数', align: 'right', width: 130, sortable: true, slots: { default: 'TotalOrderItems_default' } },
  { field: 'TotalUnitOrdered', title: '总销量', align: 'right', width: 130, sortable: true, slots: { default: 'TotalUnitOrdered_default' } },
  { field: 'TotalAdSales', title: '广告销售额', align: 'right', width: 130, sortable: true, slots: { default: 'TotalAdSales_default' } },
  { field: 'TotalAdSalesSameSKU',title: '本商品广告销售额',align: 'right',width: 180,sortable: true,slots: { default: 'TotalAdSalesSameSKU_default' } },
  { field: 'TotalAdPurchases', title: '广告订单数', align: 'right', width: 130, sortable: true, slots: { default: 'TotalAdPurchases_default' } },
  { field: 'TotalAdPurchasesSameSKU', title: '本商品广告订单数', align: 'right', width: 180, sortable: true,slots: { default: 'TotalAdPurchasesSameSKU_default' } },
  { field: 'TotalAdUnitOrdered', title: '广告销量', align: 'right', width: 130, sortable: true, slots: { default: 'TotalAdUnitOrdered_default' } },
  { field: 'TotalAdUnitOrderedSameSKU',  title: '本商品广告销量', align: 'right', width: 180,sortable: true,slots: { default: 'TotalAdUnitOrderedSameSKU_default' } },
  { field: 'Spend', title: '花费', align: 'right', width: 130, sortable: true, showOverflow: true, slots: { default: 'Spend_default' } },
  { field: 'ACOS', title: 'ACOS', align: 'right', width: 130, sortable: true, slots: { default: 'ACOS_default' } },
  { field: 'ROAS', title: 'ROAS', align: 'right', width: 130, sortable: true, slots: { default: 'ROAS_default' } },
  { field: 'TACOS', title: 'TACOS', align: 'right', width: 130, sortable: true, slots: { default: 'TACOS_default' } },
  { field: 'CR', title: '转化率', align: 'right', width: 130, sortable: true, slots: { default: 'CR_default' } },
  { field: 'CTR', title: '点击率', align: 'right', width: 130, sortable: true, slots: { default: 'CTR_default' } },
  { field: 'CPC', title: '点击成本', align: 'right', width: 130, sortable: true, slots: { default: 'CPC_default' } },
  { field: 'CPO', title: '总订单成本', align: 'right', width: 130, sortable: true, slots: { default: 'CPO_default' } },
  { field: 'CPA', title: '广告订单成本', align: 'right', width: 180, sortable: true, slots: { default: 'CPA_default' } },
  { field: 'Impression', title: '曝光量', align: 'right', width: 130, sortable: true, slots: { default: 'Impression_default' } },
  { field: 'Click', title: '点击量', align: 'right', width: 130, sortable: true, slots: { default: 'Click_default' } },
  { field: 'Sessions', title: '会话次数', align: 'right', width: 150, sortable: true, slots: { default: 'Sessions_default' } },
  { field: 'ProductCr', title: '商品会话百分比', align: 'right', width: 150, sortable: true, slots: { default: 'ProductCr_default' } },
  { field: 'PageViews', title: '页面浏览量', align: 'right', width: 130, sortable: true, slots: { default: 'PageViews_default' } },
  { field: 'BuyBoxPercentage',title: '推荐报价（购买按钮）百分比', align: 'right', width: 180, sortable: true,showHeaderOverflow: true, slots: { default: 'BuyBoxPercentage_default' }},
  { field: 'FBAQuantity', title: 'FBA库存', align: 'right', width: 130, sortable: true },
  { field: 'FBMQuantity', title: 'FBM库存', align: 'right', width: 130, sortable: true, showHeaderOverflow: true },
]

export const productLineColumns = [
  {
    field: 'productlineName',
    title: '产品线',
    align: 'left',
    fixed: 'left',
    width: 180,
    sortable: true,
    slots: { default: 'productlineName_default' },
  },  
  { field: 'SAP', title: '单均价', align: 'right', width: 130, sortable: true, slots: { default: 'SAP_default' } }, 
  ...universal
]

export const parentAsinColumns = [
  { field: 'parentAsin', title: '父ASIN', align: 'left', fixed: 'left', width: 180, sortable: true, slots: { default: 'productlineName_default' } },
  { field: 'TotalSales', title: '最佳SKU', align: 'right', width: 130, sortable: true, slots: { default: 'TotalSales_default' } },
  { field: 'SAP', title: '单均价', align: 'right', width: 130, sortable: true, slots: { default: 'SAP_default' } },
  // { field: 'TACOS', title: '预警TACOS', align: 'right', width: 130, slots: { default: 'TACOS_default' } },
  ...universal
]

export const asinColumns = [
  { field: 'Asin', title: 'ASIN', align: 'left', fixed: 'left', width: 180, sortable: true, slots: { default: 'productlineName_default' } },
  { field: 'productlineName', title: '产品线', align: 'left', fixed: 'left', width: 180, sortable: true, slots: { default: 'productlineName_default' } },
  { field: 'rank', title: '排名', align: 'left', fixed: 'left', width: 180, sortable: true, slots: { default: 'productlineName_default' } },
  { field: 'SAP', title: '单均价', align: 'right', width: 130, sortable: true, slots: { default: 'SAP_default' } },
  // { field: 'TACOS', title: '预警TACOS', align: 'right', width: 130, slots: { default: 'TACOS_default' } },
  ...universal
]

export const skuColumns = [
  { field: 'sku', title: 'SKU', align: 'left', fixed: 'left', width: 130, slots: { default: 'sku_default' } },
  { field: 'productlineName', title: '产品线', align: 'left', width: 180, slots: { default: 'productlineName_default' } },
  { field: 'status', title: '商品状态', align: 'right', width: 130, slots: { default: 'status_default' } },
  { field: 'time', title: '排名', align: 'right', width: 130, slots: { default: 'time_default' } },
  { field: 'SAP', title: '单均价', align: 'right', width: 130, sortable: true, slots: { default: 'SAP_default' } },
  { field: 'parentAsin', title: '父ASIN', align: 'right', width: 130, slots: { default: 'parentAsin_default' } },
  { field: 'launchDatetime', title: '上架时间', align: 'right', width: 130, sortable: true, slots: { default: 'launchDatetime_default' } },
  ...universal
  // { field: 'ABP', title: '异常推广', align: 'right', width: 130, slots: { default: 'ABP_default' } },
  
  // { field: 'TACOS', title: '预警TACOS', align: 'right', width: 130, slots: { default: 'TACOS_default' } },
]
